Loading...
Searching...
No Matches
logging.h File Reference

Logging management. More...

`#include <ostream>`
Include dependency graph for logging.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.

## Enumerations

enum | libcamera::LoggingTarget { libcamera::LoggingTargetNone , libcamera::LoggingTargetSyslog , libcamera::LoggingTargetFile , libcamera::LoggingTargetStream }
| Log destination type. More...

## Functions

int | libcamera::logSetFile (const char *path, bool color)
| Direct logging to a file.
int | libcamera::logSetStream (std::ostream *stream, bool color)
| Direct logging to a stream.
int | libcamera::logSetTarget (LoggingTarget target)
| Set the logging target.
void | libcamera::logSetLevel (const char *category, const char *level)
| Set the log level.

## Detailed Description

Logging management.

API to change the logging output destination and log levels programatically.